Auto-assign a 'finish deploy' class to new hosts

03/30/2012 03:12 PM - David Swift

Status: New   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using rackspace, internap, or even EC2, the machines come pre-loaded with a base set of packages.  The first thing I tend to

do with one of these machines is to assign it a bootstrap class, and have it brought up to my current package set, before I assign it

any other classes.

For instance, in my 0.4.2 Foreman setup, I have a userdata script that executes a curl call to Foreman from the new instance when it

is done with cloud-init.  The curl call adds the new host in via the Foreman API.  Once I see this host in Foreman, I start assigning

classes to it, and then kickoff puppetrun.

It would be handy if, when a new machine notifies Foreman that it is now present, that machine could be assigned to a class based

upon either:

1.  An API call, or

2.  Assignment by rules similar to the TFTP rules for kickstart and such.

and then the new instance can continue the bootstrapping on it's own.

History

#1 - 05/21/2012 08:50 AM - Ohad Levy

- % Done changed from 0 to 80

- Difficulty set to medium

nearly done, prob would be part of the ec2 branch with samples for ubuntu/deb/rhel/fedora

#2 - 06/21/2012 02:59 AM - Ohad Levy

- Target version deleted (1.0)

#3 - 07/12/2018 07:52 AM - Ohad Levy

- Description updated

- Assignee deleted (Ohad Levy)

- Difficulty deleted (medium)

- Triaged set to No
